package exception

// mesh custom error code ,begin:100
var (
	// proxy
	ErrWorkerServiceNotFound = ErrorJson(100, "Service Node Not Started")
	ErrWorkerServerIsNil     = ErrorJson(101, "Service Is Nil")
	ErrWorkerMethodNotFound  = ErrorJson(102, "Service Method Not Found")
	ErrWorkerRequestContent  = ErrorJson(103, "Worker Parse Request Content")
	ErrWorkerRequestParams   = ErrorJson(104, "Worker Parse Request Params")

	// header
	ErrInvalidHeaderParams = ErrorJson(105, "Invalid Header Params")

	// grpc getway
	ErrWorkerFailedProxy          = ErrorJson(107, "Worker gRPC proxying should never reach this stage")
	ErrWorkerGrpcProxyShould      = ErrorJson(108, "Worker gRPC proxying should never reach this stage")
	ErrWorkerServerStreamNotFound = ErrorJson(109, "Worker lowLevelServerStream not exists in context")

	// http getway
	ErrWorkerHttpReadAll                 = ErrorJson(110, "Worker Http Read All")
	ErrWorkerHttpResolveService          = ErrorJson(111, "Worker Http Resolve Service")
	ErrWorkerHttpMarshalJSON             = ErrorJson(112, "Worker Http Parameter Must JSON")
	ErrWorkerHttpUnmarshalJSON           = ErrorJson(113, "Worker Http Return Not JSON")
	ErrWorkerHttpReflectInvokeRpc        = ErrorJson(114, "Worker Http Reflect InvokeRpc")
	ErrWorkerHttpReflectAsDynamicMessage = ErrorJson(115, "Worker Http Reflect AsDynamicMessage")

	// invok
	ErrServiceInvok = ErrorJson(116, "Service Invok")
)
